%define name 	ignuit
%define version 0.0.16
%define release	%mkrel 1

Summary:        Flashcard learning system
Summary(de):	Karteikarten-Lernsystem
Name:           %{name}
Version:        %{version}
Release:        %{release}
License:        GPLv3
URL:            http://homepages.ihug.co.nz/~trmusson/programs.html#ignuit
Group:          Education
Source0:        %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  libxslt-devel
BuildRequires:  libgnomeui2_0-devel
BuildRequires:  intltool
BuildRequires:  gnome-doc-utils
BuildRequires:  libglade2.0_0-devel
BuildRequires:  gettext
BuildRequires:  libgstreamer0.10_0.10-devel
BuildRequires:  desktop-file-utils
Requires:	glibc >= 2.10.1
Requires:	libstdc++6 >= 4.4.1
Obsoletes:	%name < %version


%description
Ignuit is a memorization aid based on the Leitner flashcard system. 
It has a GNOME look and feel, a good selection of quiz options, and 
supports UTF-8. Cards can include embedded audio, images, and mathematical 
formulae (via LaTeX). It can import and export several file formats, 
including CSV, jMemorize, and Mnemosyne. Ignuit can be used for both 
long-term learning and cramming.

#german
%description -l de
Ignuit ist eine Auswendiglern Hilfe auf der Basis des Flashkarte Leitner-System.
Es hat das GNOME-Look and Feel, daher eine gute Auswahl an Test-Optionen und 
unterstützt UTF-8. Die Karten beinhalten auch Audio, Bilder und mathematische
Formeln (via LaTeX). Es unterstützt das Importieren und Exportieren mehrere Dateiformaten,
einschließlich der CSV, jMemorize und Mnemosyne. Ignuit kann für beides verwendet werden,
langfristiges Lernen und Pauken.

%prep
%setup -q

%build

%configure2_5x \
  --disable-scrollkeeper

%make

%install
rm -rf %{buildroot}
%makeinstall_std
desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-MoreApplications-Education-Languages" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

install -dm 755 %{buildroot}%{_datadir}/pixmaps
install -m 644 data/icons/48x48/apps/%name.png \
%{buildroot}%{_datadir}/pixmaps

%find_lang %{name}

%clean
rm -rf %{buildroot}


%post
%post_install_gconf_schemas %name
%update_menus

%preun
%preun_uninstall_gconf_schemas %name

%postun
%clean_menus

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING README TODO
%{_sysconfdir}/gconf/schemas/*.schemas
%{_bindir}/%name
%{_datadir}/applications/%name.desktop
%{_datadir}/gnome/help/
%{_datadir}/%name
%{_datadir}/pixmaps/%name.png
%{_datadir}/icons/hicolor/48x48/apps/%name.png
%{_datadir}/icons/hicolor/scalable/apps/%name.svg
%{_datadir}/omf/%name/*.omf

%changelog
* Tue Nov 20 2009 slick50 <lxgator@gmail.com> 0.0.16-1pclos2010
- 0.0.16

* Fri Sep 25 2009 slick50 <lxgator@gmail.com> 0.0.15-1pclos2009
- initial pkg

